Zum Hauptinhalt springen

Refresh a session

PUT/v2/users/self/sessions
API-Version
v2
Request-Methode
PUT
Operation-ID
user-refresh-session

Request​

Responses​

Format
application/json
Beschreibung

Your token refresh was successful and you've got new a new access token. The used one in this call is no longer valid.

  • expiresAtstring (date-time)required

    The expiration date of the token.

  • refreshTokenstringrequired

    Refresh token to refresh your access token even after it has expired.

  • tokenstringrequired

    Public token to identify yourself against the public api.

Content-Type: application/json

{
"expiresAt": "1985-10-26T01:21:00.000Z",
"refreshToken": "string",
"token": "string"
}
{
"properties": {
"expiresAt": {
"description": "The expiration date of the token.",
"format": "date-time",
"type": "string"
},
"refreshToken": {
"description": "Refresh token to refresh your access token even after it has expired.",
"type": "string"
},
"token": {
"description": "Public token to identify yourself against the public api.",
"type": "string"
}
},
"required": [
"token",
"refreshToken",
"expiresAt"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"refreshToken":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self/sessions
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.refreshSession({
"data": {
"refreshToken": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\RefreshSession\RefreshSessionRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\RefreshSession\RefreshSessionRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// RefreshSessionRequestBody to learn how to construct a valid instance
$body = new RefreshSessionRequestBody(/* TODO: ... */);

$request = (new RefreshSessionRequest(
body: $body
));
$response = $client->user()->refreshSession($request);

var_dump($response->getBody();

Auf dieser Seite